<?php
require 'ecrire/inc_charsets.php3';

function text2sys($text)
{
	$sys = $text;
	$sys = strtolower(translitteration($sys, 'iso-8859-1'));
	$sys = ereg_replace("^[0-9]+\. ", "", $sys);
	$sys = ereg_replace("[^.a-z0-9_=-]+", " ", $sys);
	$sys = ereg_replace(" +", "_", trim($sys));
	return $sys;
}

function arborescence($id_rubrique)
{
	if ($id_rubrique == 0) {
		$url = $GLOBALS['meta']['adresse_site'].'/';
	} else {
		$result = spip_query("SELECT id_parent, titre FROM spip_rubriques WHERE id_rubrique=$id_rubrique");
		$row = spip_fetch_array($result);
		$url = arborescence($row['id_parent']).($row['id_parent'] != 0 ? text2sys($row['titre']).'/' : '');
    }
	return $url;
}

function generer_url_rubrique($id_rubrique) {
	$url = arborescence($id_rubrique).'rubrique'.$id_rubrique.'.html';
	return $url;
}

function generer_url_article($id_article) {
	$result = spip_query("SELECT id_rubrique, titre FROM spip_articles WHERE id_article=$id_article");
	$row = spip_fetch_array($result);
	$url = arborescence($row['id_rubrique']).text2sys($row['titre']).'_article'.$id_article.'.html';
	return $url;
}

function generer_url_breve($id_breve) {
	$result = spip_query("SELECT id_rubrique, titre FROM spip_breves where id_breve=$id_breve");	
	$row = spip_fetch_array($result);
	$url = arborescence($row['id_rubrique']).text2sys($row['titre']).'_breve'.$id_breve.'.html';
	return $url;
}

function generer_url_forum($id_forum) {
	$url = $GLOBALS['meta']['adresse_site'].'/forum'.$id_forum.'.html';
	return $url;
}

function generer_url_mot($id_mot) {
	$result = spip_query("SELECT titre FROM spip_mots WHERE id_mot=$id_mot");
	$row = spip_fetch_array($result);
	$url = $GLOBALS['meta']['adresse_site'].'/'.text2sys($row['titre']).'_mot'.$id_mot.'.html';
	return $url;
}

function generer_url_auteur($id_auteur) {
	$result = spip_query("SELECT nom FROM spip_auteurs WHERE id_auteur=$id_auteur");
	$row = spip_fetch_array($result);
	$url = $GLOBALS['meta']['adresse_site'].'/'.text2sys($row['nom']).'_auteur'.$id_auteur.'.html';
	return $url;
}

function generer_url_document($id_document) {
	if ($id_document > 0) {
		$result = spip_query("SELECT fichier FROM spip_documents WHERE id_document = $id_document");
		if ($row = spip_fetch_array($result)) {
			$url = $GLOBALS['meta']['adresse_site'].'/'.$row['fichier'];
		}
	}
	return $url;
}

function recuperer_parametres_url($fond, $url) {
	global $contexte;
}
?>
